<?php
if (isset($_REQUEST['lang'])){		// display error messages
        $string         = trim($_REQUEST['lang']).'en';
        $examplang      = substr($string,0,2);
}
if ($examplang <> 'nl') {$examplang = 'en';}
?>
<!doctype html>
<html lang="<?php echo $lang; ?>">
<head>
	<meta charset="utf-8" />
	<style type="text/css">
.insTtable {
width: 300px;
border-collapse: collapse;
}
 .insTtable td, .insTtable th
{
padding: 5px;
text-align: left; 
vertical-align: top; 
border-style: solid;
border: 1px solid black;
}
	</style>
	<title>demo warning script</title>
</head>
<body style="">
<a href="./wrnExample.php?lang=nl"><img src="./flag-nl.gif" alt=" " style=""> Nederlands</a>
<a href="./wrnExample.php?lang=en"><img src="./flag-en.gif" alt=" " style=""> English</a>
<br /><br />
<div id="pagina" style="">
<!--  just for testing we set error reporting on -->
<?php 
ini_set('display_errors', 1);
error_reporting(E_ALL);
?>

<!--  here we include the wsWarning script -->
<?php
$script = 'wrnWarningv3.php';
include $script;
if ($examplang == 'en') {echo '
This is the output of a small test program for the EU "warning" script ('.$script.') from Leuven-Template<br />
You can download this script and others at <a href="http://www.weerstation-leuven.be">www.weerstation-leuven.be</a><br />
<br />
The warning script was just a moment ago executed with the following settings and values:<br />
';}
else { echo '
Dit is de uitvoer van een testprogramma voor het EU warning script ('.$script.') van Leuven-Template<br />
U kunt dit script en andere downloaden  van <a href="http://www.weerstation-leuven.be">www.weerstation-leuven.be</a><br />
<br />
Het "warning" script ('.$script.')  werd zojuist uitgevoerd met de volgende instellingen:<br />
';}
?>
<table class="insTtable" style="">
<tr><td>$warnMsg</td><td>
<?php 
if      ($warnMsg == true)   {echo 'true';} 
elseif  ($warnMsg == false)  {echo 'false';} 
else                            {echo  $warnMsg;} 
?></td></tr>
<tr><td>$warnMsgTxt   </td><td><?php echo $warnMsgTxt;?>   </td></tr>
</table>
<br />
<?php
if ($examplang == 'en') {echo '
So we output our message box here:
';}
else { echo '
Het algemene mededelingen vak komt hier:
';}
?>
<br />
<?php echo $wrnHead; ?>
<?php
if ($examplang == 'en') {echo '
It should be present above if the settings are not changed <br /><br />
Now the warning box should be shown if these settings are correct<br />
';}
else { echo '
Het moet hierboven afgebeeld zijn, tenminste als de instellingen niet veranderd zijn<br /><br />
Nu worden de waarschuwingen afgebeeld, tenminste als de instellingen correct zijn<br />
';}
?>
<table class="insTtable" style="">
<tr><td>$warnArea    </td><td><?php echo $warnArea ;?>     </td></tr>
<tr><td>$warningGreen</td><td>
<?php  
if      ($warningGreen == true) {echo 'true';} 
elseif  ($warningGreen == false){echo 'false';} 
else                            {echo  $warningGreen;} 
?></td></tr>
</table>
<br />
<?php echo $wrnStrings; ?>
<?php
if ($examplang == 'en') {echo '
The warning box should be directly above, either with warnings or a green box, again if the settings are not changed.<br />
<br /><br /><br />
';}
else { echo '
Het waarschuwingen vak moet hierboven zijn afgebeeld. Met of de huidige waarschuwingen voor <b>'.$warnArea.'</b>  of een groen vak als er geen
waarschuwingen zijn. Als de instellingen niet door u zijn aangepast.
<br /><br /><br />
';}
?>
<table class="insTtable" style="">
<tr><td>$warnPage   </td><td><?php echo $warnPage ;?>     </td></tr>
</table>
<br />
<?php
if ($examplang == 'en') {echo '
If you specified the link to your own warning page, the content for that page is displayed below.
';}
else { echo 'Als u hebt aangegeven dat u een eigen detail waarschuwingen pagina hebt, wordt de inhoud daarvoor hieronder afgebeeld.
';}

if ( $warnPage <> '') {echo $ownpagehtml;}

if ($examplang == 'en') {echo '
<br />
Now you can change the settings in the warning script and rerun this program to see if the output is what you expect.
';}
else { echo '<br /><br /><br />
Nu kunt u de instellingen 1 voor 1 aanpassen en proberen. De resultaten kunt u dan keer op keer bekijken in dit test-programma.
';}
?>
</div>
</html>
